import { type Static } from '@sinclair/typebox';
/**
 * @link https://api.nrfcloud.com/v1/#tag/Account-Devices/operation/CreateAccountDevice
 */
declare const CertificateCredentials: import("@sinclair/typebox").TObject<{
    clientCert: import("@sinclair/typebox").TString;
    privateKey: import("@sinclair/typebox").TString;
}>;
export declare const createAccountDevice: ({ apiKey, endpoint, }: {
    apiKey: string;
    endpoint: URL;
}) => Promise<Static<typeof CertificateCredentials>>;
export {};
